#jinja2: trim_blocks: True, lstrip_blocks: True
{# --- Default Virtual Host (extendable via `default.d`) ---

 # the virtual host domain
 item.domain: string | d('_')
 # the virtual host root directory
 item.root: string | d(omit)
 # the virtual host port
 item.port: int | d(nginx_port)
 # the virtual host backlog
 item.backlog: int
 # disable ipv6 for the virtual host
 item.disable_ipv6: bool | d(false)
-#}
{{ ansible_managed | comment }}

server {
    listen {{ item.port | d(nginx_port) }} default_server{% if item.backlog is defined %} backlog={{ item.backlog }}{% endif %};
{% if not (item.disable_ipv6 | d('no') | bool) %}
    listen [::]:{{ item.port | d(nginx_port) }} default_server{% if item.backlog is defined %} backlog={{ item.backlog }}{% endif %};
{% endif %}
    server_name {{ item.domain | d('_') }};
{% if item.root is defined %}
    root {{ item.root | mandatory }};
{% endif %}

    include {{ nginx_conf_d }}/default.d/*.conf;
}
